Skip to main content
PATCH
/
v1
/
event-types
/
{id}
Update Event Type
curl --request PATCH \
  --url https://api.spairehq.com/v1/event-types/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "label": "<string>",
  "label_property_selector": "<string>"
}
'
{
  "created_at": "2023-11-07T05:31:56Z",
  "modified_at": "2023-11-07T05:31:56Z",
  "id": "<string>",
  "name": "<string>",
  "label": "<string>",
  "organization_id": "<string>",
  "label_property_selector": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.spairehq.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

You can generate a Personal Access Token from your settings.

Path Parameters

id
string<uuid4>
required

The event type ID.

Body

application/json
label
string
required

The label for the event type.

Required string length: 1 - 128
label_property_selector
string | null

Property path to extract dynamic label from event metadata (e.g., 'subject' or 'metadata.subject').

Required string length: 1 - 256

Response

Successful Response

created_at
string<date-time>
required

Creation timestamp of the object.

modified_at
string<date-time> | null
required

Last modification timestamp of the object.

id
string<uuid4>
required

The ID of the object.

name
string
required

The name of the event type.

label
string
required

The label for the event type.

organization_id
string<uuid4>
required

The ID of the organization owning the event type.

label_property_selector
string | null

Property path to extract dynamic label from event metadata.